	SUBROUTINE HELP(ID)
C	GAME INSTRUCTIONS, ETC.
C----------------------standard common block----------------------------
C 
	COMMON ICR(8,12),IPARM(10),IS1,IS2,NT,ICU(10,10,10,2),CLEAR(8)
	COMMON MARKER(4,3,3)
	LOGICAL*1 ICU,CLEAR
C 
C-----------------------------------------------------------------------
	LOGICAL*1 ANS,BNS
4	LUN=ICR(ID,8)
	X=-1
	WRITE(LUN,1) "33,"33,CLEAR(ID)
1	FORMAT(X,A1,'Y  ',2A1//' CRAWLER INSTRUCTIONS'//
     C' <CR>	leave help section'/' A	general description of game'/
     C' B	description of cube'/' C	commands available'/
     C' D	description of crawlers'/
     C' E	cube-controlled crawlers'/' F	outside the cube'/
     C' G	information block'//
     C' --- NOTE: to get a complete listing of all help information,'/
     C'     enter LIST on any turn.'//
     C' Enter <CR>,A,B,C,D,E,F, or G: ',$)
	READ(LUN,2) ANS,BNS
2	FORMAT(2A1)
	IF(ANS.LE.' ') RETURN
	IF(ANS.EQ.'C') GOTO 3
	IF(ANS.NE.'C') CALL HELP2(ANS,LUN)
	CALL DELAY(X,LUN,ANS)
	GOTO 4
C 
3	WRITE(LUN,12)"33,"33,CLEAR(ID)
	X=-1.
12	FORMAT(X,A1,'Y  ',2A1,' COMMANDS AVAILABLE:'/
     C' R	ROTATE    	2 energy units'/
     C' S	SCAN      	1 energy units'/
     C' X	X-RAY SCAN	2 energy units'/
     C' W	WHOLE-CUBE SCAN	4 energy units'/
     C' A	ADVANCE   	3 energy units'/
     C' SE	\          	1 energy unit'/
     C' XE	ENERGY SCANS	2 energy units'/
     C' WE	/         	4 energy units'/
     C' F	FIRE      	range of fire'/
     C' J	RANDOM JUMP	5 energy units'/
     C' T	TRANSMITTERS	1 energy unit'/
     C' P	PROXIMITY SCAN  1 energy unit'/
     C' D	REDRAW SCREEN   0 energy units'/
     C' M	SEND MESSAGE	0 energy units'/
     C' E	END TURN  	0 energy units'/
     C' Z	ZZZZZ (PAUSE)	0 energy units'/
     C' Q	QUIT GAME 	0 energy units'/
     C' K	KEEP GAME	0 energy units'/
     C' C	CONTINUE GAME   ? energy units'/
     C' H	HELP      	0 energy units'/)
	WRITE(LUN,100)
100	FORMAT(
     C' for more information on these commands, enter letter of'/
     C' command.  Enter H or <CR> to return to main HELP menu: ',$)
	READ(LUN,2) ANS,BNS
	IF(ANS.EQ.'H'.OR.ANS.EQ.' ') GOTO 4
	IF(ANS.EQ.'D'.OR.ANS.EQ.'E'.OR.ANS.EQ.'Z'.OR.ANS.EQ.'Q'.OR.ANS.
     CEQ.'M'.OR.ANS.EQ.'R'.OR.ANS.EQ.'F'.OR.ANS.EQ.'T'.OR.ANS.EQ.'J'.
     COR.ANS.EQ.'P'.OR.ANS.EQ.'C'.OR.ANS.EQ.'K') CALL HELP0(LUN,ANS)
	IF(ANS.EQ.'S'.OR.ANS.EQ.'X'.OR.ANS.EQ.'A'.OR.ANS.EQ.'W')
     CCALL HELP1(LUN,ANS)
	IF((ANS.EQ.'S'.OR.ANS.EQ.'X'.OR.ANS.EQ.'W').AND.BNS.EQ.'E')
     CCALL HELP1(LUN,'*')
	CALL DELAY(X,LUN,ANS)
	GOTO 3
	END
